Component.AccessibleAWTComponent.AccessibleAWTComponentHandler (Java Platform SE 8 )
Keywords: java.awt.Component.AccessibleAWTComponent.AccessibleAWTComponentHandler class
Date: 2026-04-17

java.awt

## Class Component.AccessibleAWTComponent.AccessibleAWTComponentHandler

- java.lang.Object
- - java.awt.Component.AccessibleAWTComponent.AccessibleAWTComponentHandler

- All Implemented Interfaces:
    ComponentListener, EventListener
  Enclosing class:
    Component.AccessibleAWTComponent

      protected class Component.AccessibleAWTComponent.AccessibleAWTComponentHandler
      extends Object
      implements ComponentListener

  Fire PropertyChange listener, if one is registered, when shown/hidden..
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AccessibleAWTComponentHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `componentHidden(ComponentEvent e)` Invoked when the component has been made invisible.
    `void` | `componentMoved(ComponentEvent e)` Invoked when the component's position changes.
    `void` | `componentResized(ComponentEvent e)` Invoked when the component's size changes.
    `void` | `componentShown(ComponentEvent e)` Invoked when the component has been made visible.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessibleAWTComponentHandler

          protected AccessibleAWTComponentHandler()

  - ### Method Detail

    - #### componentHidden

          public void componentHidden(ComponentEvent e)

      Description copied from interface: `ComponentListener`
      Invoked when the component has been made invisible.
      Specified by:
        `componentHidden` in interface `ComponentListener`

    - #### componentShown

          public void componentShown(ComponentEvent e)

      Description copied from interface: `ComponentListener`
      Invoked when the component has been made visible.
      Specified by:
        `componentShown` in interface `ComponentListener`

    - #### componentMoved

          public void componentMoved(ComponentEvent e)

      Description copied from interface: `ComponentListener`
      Invoked when the component's position changes.
      Specified by:
        `componentMoved` in interface `ComponentListener`

    - #### componentResized

          public void componentResized(ComponentEvent e)

      Description copied from interface: `ComponentListener`
      Invoked when the component's size changes.
      Specified by:
        `componentResized` in interface `ComponentListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.